function love.load()
	lgr = love.graphics
	lmo = love.mouse
	lgr.setBackgroundColor(255, 255, 255)
	
	s = {} -- settings
	s.width = 40
	s.height = 20
	s.amount = 40
	
	t = 0 -- total time
	foo = 0
	bars = {}
	for x = 0, s.amount - 1 do
		bars[x] = {}
		for y = 0, s.amount - 1 do
			bars[x][y] = 0
		end
	end
end

function love.update(dt)
	t = t + dt
	for x, tb in ipairs(bars) do
		for y, bar in ipairs(tb) do
			if foo == 0 then
				local dist = math.sqrt((x - s.amount/2)^2 + (y - s.amount/2)^2)
				bars[x][y] = math.sin(dist*0.7 - t*3)*s.height + s.height
			elseif foo == 1 then
				bars[x][y] = math.sin(x/3 + t)*s.height*1.5 +  math.sin(y/3 + t)*s.height*1.5 + s.height*3
			end
		end
	end
end

function love.draw()
	lgr.translate(lgr.getWidth()/2, 100)
	for x, t in ipairs(bars) do
		for y, b in ipairs(t) do
			drawBar(x, y, b)
		end
	end
end

function love.keypressed(key)
	if key == "escape" then love.event.quit() end
	if key == "right" then foo = (foo + 1)%2 end
	if key == "left" then foo = (foo - 1)%2 end
end

function drawBar(x, y, z)
	lgr.push()
	lgr.translate((x - y)*s.width/2, (x + y)*s.height/2 - z)
	
	local w, h = s.width, s.height
	
	-- draw back right
	lgr.setColor(63, 63, 63)
	lgr.polygon("fill", w/2, h/2, w/2, h/2 + z, 0, 0 + z, 0, 0)
	lgr.setColor(255, 255, 255)
	--lgr.polygon("line", w/2, h/2, w/2, h/2 + z, 0, 0 + z, 0, 0)
	
	-- draw back left
	lgr.setColor(127, 127, 127)
	lgr.polygon("fill", -w/2, h/2, -w/2, h/2 + z, 0, 0 + z, 0, 0)
	lgr.setColor(255, 255, 255)
	--lgr.polygon("line", -w/2, h/2, -w/2, h/2 + z, 0, 0 + z, 0, 0)
	
	-- draw top
	lgr.setColor(191, 191, 191)
	lgr.polygon("fill", 0, 0, w/2, h/2, 0, h, -w/2, h/2)
	lgr.setColor(255, 255, 255)
	lgr.polygon("line", 0, 0, w/2, h/2, 0, h, -w/2, h/2)
	
	-- draw front right
	lgr.setColor(127, 127, 127)
	lgr.polygon("fill", w/2, h/2, w/2, h/2 + z, 0, h + z, 0, h)
	lgr.setColor(255, 255, 255)
	--lgr.polygon("line", w/2, h/2, w/2, h/2 + z, 0, h + z, 0, h)
	
	-- draw front left
	lgr.setColor(63, 63, 63)
	lgr.polygon("fill", -w/2, h/2, -w/2, h/2 + z, 0, h + z, 0, h)
	lgr.setColor(255, 255, 255)
	--lgr.polygon("line", -w/2, h/2, -w/2, h/2 + z, 0, h + z, 0, h)
	
	lgr.pop()
end